#ifndef DAILYOBJECT_H
#define DAILYOBJECT_H
#include "baseObject.h"

class DailyObject : public BaseObject
{
    Q_OBJECT
public:
    DailyObject(QObject* parent=0):BaseObject(parent){}

    Q_PROPERTY(QString channel READ getChannel WRITE setChannel)
    Q_PROPERTY(int total_number READ getTotal_number WRITE setTotal_number)
    Q_PROPERTY(int total_fee READ getTotal_fee WRITE setTotal_fee)
    Q_PROPERTY(int refund_total_number READ getRefund_total_number WRITE setRefund_total_number)
    Q_PROPERTY(int refund_total_fee READ getRefund_total_fee WRITE setRefund_total_fee)

    QString channel;
    int total_number;
    int total_fee;
    int refund_total_number;
    int refund_total_fee;

protected:
    QString getChannel() const;
    void setChannel(const QString& v);

    int getTotal_number() const;
    void setTotal_number(const int& v);

    int getTotal_fee() const;
    void setTotal_fee(const int& v);

    int getRefund_total_number() const;
    void setRefund_total_number(const int& v);

    int getRefund_total_fee() const;
    void setRefund_total_fee(const int& v);
};

#endif // DAILYOBJECT_H
